<?php

namespace Anytech\Trip\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Anytech\Trip\Interfaces\TripsRepositoryInterface;

class TripsPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Anytech\Trips\Interfaces\TripsRepositoryInterface $trips
     *
     * @return type
     */
    public function __construct(TripsRepositoryInterface $trips)
    {
        $this->model = $trips;
        parent::__construct();
    }

    /**
     * Show trips's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $trips = $this->model->all();

        return $this->theme->of('trip::public.trips.index', compact('trips'))->render();
    }

    /**
     * Show trips.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $trips = $this->model->findBySlug($slug);

        return $this->theme->of('trip::public.trips.show', compact('trips'))->render();
    }
}
